import React from 'react'
import MachineInstance from './machineInstance/machineInstance'
import { useMachineStore } from '../../../../store/simulation/useMachineStore';

function MachineInstances() {
    const { machines } = useMachineStore();
    return (
        <>
            {machines.map((machine: MachineStatus) => (
                <MachineInstance key={machine.modelUuid} machineDetail={machine} />
            ))}

        </>
    )
}

export default MachineInstances